# $Revision: 1.90 $, $Date: 2009/07/04 13:37:30 $
Summary:	Grip, a CD player and ripper/MP3-encoder front-end
Summary(ca.UTF-8):	Reproductor/extractor de CD d'audio
Summary(es.UTF-8):	Grip, interfaz para reproducir CDs y generar MP3s
Summary(fr.UTF-8):	Grip, un lecteur de CD, extracteur, et IHM pour encodeur MP3
Summary(ja.UTF-8):	CD プレーヤー/リッパ/MP3エンコーダ フロントエンド
Summary(pl.UTF-8):	Grip, odtwarzacz CD z frontendem do ripowania i kodowania MP3
Summary(pt_BR.UTF-8):	Grip, interface para reproduzir CDs e gerar MP3s
Summary(zh_CN.UTF-8):	Grip 是一个 CD 播放器、抓轨器和 MP3 编码器前端程序。
Summary(zh_HK.UTF-8):	Grip 是一個 CD 播放器、抓軌器和 MP3 編碼器前端程式。
Summary(zh_TW.UTF-8):	Grip 是一個 CD 播放器、抓軌器和 MP3 編碼器前端程式。
Name:		grip
Version:	3.3.1
Release:	8
Epoch:		1
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/grip/%{name}-%{version}.tar.gz
# Source0-md5:	4b4233999b9f2bc85c711092553ea9aa
Source1:	%{name}.png
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-configure_in.patch
Patch2:		%{name}-po.patch
URL:		http://www.nostatic.org/grip/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cdparanoia-III-devel
BuildRequires:	curl-devel
BuildRequires:	id3lib-devel >= 3.7.13
BuildRequires:	libgnomeui-devel >= 2.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	vte-devel
Suggests:	bladeenc
Suggests:	cdparanoia-III
Suggests:	flac
Suggests:	lame
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grip is a GTK+-based cd-player and front-end for cd-rippers and MP3
encoders. It allows you to rip entire tracks, or pinpoint a section of
a track to rip. The CDDB protocol is supported for
retreiving/submitting track information from/to disc database servers.

%description -l fr.UTF-8
Grip est un lecteur-extracteur de CD pour le Bureau GNome. Il a des
capacités d'extraction du type cdparanoia incluses, mais il peut
utiliser un extracteur externe (comme cdda2wav). Il fournis également
une IHM pour les encodeurs MP3, permettant simplement de prendre un
disque et de le transformer en MP3. La récupération des noms sur
Internet permet également d'avoir les informations sur les pistes
auprès des serveurs CDDB. Grip fonctionne également avec DigitalDJ
pour fournir une version unifiée informatique de votre discothèque.

%description -l es.UTF-8
Grip es una interfaz GTK+ para programas que copian bandas de CD como
cdparanoia y cdda2wav. Permite copiar bandas enteras, o solamente
algunas partes. También le permite llamar su codificador MP3 favorito.
Y también sirve como interfaz para tocar CDs.

%description -l pl.UTF-8
Grip jest odtwarzaczem kompaktów. Może być używany jako front-end do
programów ściągających ścieżki CD oraz kompresujących pliki dźwiękowe
do formatu MP3. Umożliwia ściąganie tak całych jak i wybranych części
utworu. Program ten wspiera protokół CDDB w celu ściągania/wysyłania
danych o kompakcie z/do umożliwiającego tego typu operacje serwera.

%description -l pt_BR.UTF-8
Grip é uma interface GTK+ para programas que copiam faixas de CD como o
cdparanoia e cdda2wav. Ele permite que você copie faixas inteiras, ou
apenas pedaços. Também permite que você chame seu codificador MP3
favorito. Finalmente, ele também serve como interface para tocar CDs.

%description -l zh_CN.UTF-8
Grip 是一个可以在 GNOME 桌面环境下运行的 CD
音乐播放器和抓轨器。它可以使用 内置的 cdparanoia 程序抓轨器
(将音轨存储为文件)，也可以使用外部的抓轨器 (例如:
cdda2wav)。同时提供自动的 MP3 编码前端，还可以自动地从 Internet 上的
光盘数据库中查询光盘曲目。如果协同 DigitalDJ
程序一起工作，您可以创建自己的 “计算机化”的音乐库。

%description -l zh_HK.UTF-8
Grip 是一個可以在 GNOME 桌面環境下執行的 CD
音樂播放器和抓軌器。它可以使 用內置的 cdparanoia 程式抓軌器
(將音軌存為檔案)，也可以使用外部的抓軌器 (例如
cdda2wav)。同時提供自動的 MP3 編碼前端，還可以自動地從 Internet 上
的光碟資料庫中查詢光碟曲目。如果協同 DigitalDJ
程式一起工作，您可以建立 自己的「電腦化」的音樂庫。

%description -l zh_TW.UTF-8
Grip 是一個可以在 GNOME 桌面環境下執行的 CD
音樂播放器和抓軌器。它可以使 用內置的 cdparanoia 程式抓軌器
(將音軌存為檔案)，也可以使用外部的抓軌器 (例如
cdda2wav)。同時提供自動的 MP3 編碼前端，還可以自動地從 Internet 上
的光碟資料庫中查詢光碟曲目。如果協同 DigitalDJ
程式一起工作，您可以建立 自己的「電腦化」的音樂庫。

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_desktopdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/pl{_PL,}

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README CREDITS TODO
%attr(755,root,root) %{_bindir}/grip
%{_desktopdir}/grip.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: grip.spec,v $
Revision 1.90  2009/07/04 13:37:30  megabajt
- release 8

Revision 1.89  2009/06/04 08:24:19  megabajt
- updated -desktop.patch
- release 7

Revision 1.88  2008/02/24 23:17:21  glen
- release 6

Revision 1.87  2008-02-15 01:40:24  glen
- release 5

Revision 1.86  2007-12-24 23:13:48  blues
- suggests encoders and rippers

Revision 1.85  2007-10-24 23:12:46  ankry
- locale/zh_HK is a separate dir now

Revision 1.84  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.83  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.82  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.81  2006/10/13 18:19:50  japhy
- Rel up, STBR

Revision 1.80  2006/06/18 18:53:20  tiwek
- change po patch
- rev 3
- STBR

Revision 1.79  2005/10/28 17:18:11  ankry
- Polish locale fix, rel. 2

Revision 1.78  2005/07/30 10:19:56  dzeus
- up to 3.3.1, STBR

Revision 1.77  2005/07/09 17:13:21  jack
- rebuild against heimdal >= 0.7

Revision 1.76  2005/06/26 02:38:48  zbyniu
- BR: pkgconfig

Revision 1.75  2005/05/13 07:17:25  ankry
- fixed desktop, rel. 3

Revision 1.74  2005/03/27 10:57:48  jack
- Rel 2 (rebuild against howl-libs-0.9.10)

Revision 1.73  2005/02/06 10:27:56  jack
- updated to 3.3.0

Revision 1.72  2004/12/25 17:19:15  qboosh
- unified

Revision 1.71  2004/11/12 18:46:16  paladine
- rel 7 for fixed desktop patch

Revision 1.70  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.69  2004/09/15 12:20:25  ankry
- remove unnecessary zh_HK trabslation

Revision 1.68  2004/08/04 16:40:20  grzegol
- regenerate libtool

Revision 1.67  2004/08/04 06:23:11  ankry
- i18n fixes (-po patch), rel. 5

Revision 1.66  2004/07/23 20:43:23  ankry
- desktop fixed, rel. 4

Revision 1.65  2004/07/12 07:12:04  ankry
- rel. 3 to rebuild with curl-7.12

Revision 1.64  2004/05/07 09:02:54  qboosh
- release 2: rebuild with id3lib not linked with libiconv

Revision 1.63  2004/05/07 08:29:22  aflinta
- added libiconv-devel BR

Revision 1.62  2004/05/01 10:22:51  grzegol
- updated to 3.2.0

Revision 1.61  2004/04/21 14:35:46  grzegol
- updated to 3.1.10

Revision 1.60  2004/04/15 11:17:12  grzegol
- updated to 3.1.9

Revision 1.59  2004/03/28 14:27:24  grzegol
- updated to 3.1.8

Revision 1.58  2004/03/27 16:38:20  grzegol
- updated to 3.1.7

Revision 1.57  2004/03/15 10:27:42  grzegol
- s/BR: libcurl-devel/BR: curl-devel/

Revision 1.56  2004/03/13 20:03:56  grzegol
- updated to 3.1.6
- updated BRs

Revision 1.55  2004/03/02 21:55:26  pawelb
- up to 3.1.5
- removed cdparanoia-include.patch (if it is wrong please fix)

Revision 1.54  2003/12/28 23:14:46  grzegol
- updated to 3.1.4
- added cdparanoia_include (fixes cdparanoia include patch)

Revision 1.53  2003/12/08 22:06:10  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.52  2003/11/05 14:01:44  tiwek
- updated to 3.1.3
- New Source URL

Revision 1.51  2003/10/27 21:24:20  freetz
- BR vte-devel

Revision 1.50  2003/10/04 21:27:29  grzegol
- updated to 3.1.2

Revision 1.49  2003/08/01 11:58:50  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.48  2003/07/14 10:42:16  grzegol
- updated to 3.1.1
- added configure_in patch

Revision 1.47  2003/06/25 20:32:10  grzegol
- updated to 3.1.0 (for gnome2)

Revision 1.46  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.45  2003/05/25 05:48:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2003/04/28 07:48:12  djrzulf
- From: Robert 'dzeus' Graużenis <dzeus@zatorze.slupsk.pl>:
  - added missed BR: alsa-lib-devel

Revision 1.43  2003/04/25 01:18:44  misi3k
- updated to 3.0.7

Revision 1.42  2003/04/01 16:46:02  djrzulf
- updated to 3.0.6

Revision 1.41  2003/01/19 10:44:24  kloczek
- patch package avalaible desktop file instead copy from Source,
- more translations.

Revision 1.40  2003/01/19 09:42:47  krolik

updated to new 3.0.5 version
new build requires
STBR

Revision 1.39  2003/01/18 22:50:08  juandon
- removed two lines with define

Revision 1.38  2002/10/04 12:12:19  krolik
- updated to new 3.0.3 version

Revision 1.37  2002/09/18 15:30:51  kloczek
- fixed Source numbers.

Revision 1.36  2002/09/18 14:15:39  kloczek
- fixes in %install.

Revision 1.35  2002/09/18 14:14:42  kloczek
- merge translations from dist spec file,
- added using %%find_lang macro,
- simplifications.

Revision 1.34  2002/09/18 11:17:48  grzegol
- updated to 3.0.1
- regenerate ac/am files
- new %%doc

Revision 1.33  2002/06/06 01:50:11  kloczek
- merge translations from TurboLinux.

Revision 1.32  2002/06/03 15:51:18  migo
- removed commented lines

Revision 1.31  2002/06/02 11:55:21  migo
- up to 3.0.0
- BR: gnome-libs-devel, libghttp-devel
- don't require bladeenc & mp3info
- use configure2_13, --disable-id3
- changes in build process
- works for me, but definitely needs cleaning NFY

Revision 1.30  2002/05/02 18:07:19  kloczek
- typo.

Revision 1.29  2002/05/02 18:03:42  kloczek
- added desktop file and ng Icon for grip,
- added Epoch: 1 (for allow upgrade frm RH version),
- fix %build: use %%{__cc} and %%{rpmcflags} during compilation,
- remove reundant Requires and BuildRequires rules,
- removed LICENSE from %oc (License is GPL).

Revision 1.28  2002/04/25 16:30:11  arturs
fixed a small typo

Revision 1.27  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/12/08 11:38:15  blues
- urls updated

Revision 1.24  2001/12/08 07:21:37  wrobell
- update to grip 2.96
- nfy, nest

Revision 1.23  2001/11/28 14:06:20  qboosh
- adapterized, cosmetics

Revision 1.22  2001/08/22 17:24:48  filon
- removed stripping executables, it's done by rpm automation

Revision 1.21  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.20  2001/01/29 10:20:21  zagrodzki
- link dynamically with cdparanoia
- removed tmpnam()

Revision 1.19  2000/06/27 08:44:25  wrobell
- updated for cdparanoia 9.7

Revision 1.18  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.17  2000/06/09 07:22:56  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.15  2000/05/02 21:22:29  baggins
- fixed version, minor cleanup

Revision 1.14  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.13  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.11  1999/07/20 12:54:55  baggins
- updated to 2.5

Revision 1.10  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.9  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.8  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
